Package Details: hhvm-git 20150820-1

Git Clone URL: https://aur.archlinux.org/hhvm-git.git (read-only, click to copy)
Package Base: hhvm-git
Description: Virtual Machine, Runtime, and JIT for PHP
Upstream URL: http://hhvm.com
Licenses: PHP
Submitter: yan12125
Maintainer: None
Last Packager: yan12125
Votes: 15
Popularity: 0.000000
First Submitted: 2014-10-05 07:01
Last Updated: 2015-08-20 17:17

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 Next › Last »

fzerorubigd commented on 2011-06-22 14:32

And it fail to build with current memcache: libmemcached 0.50-1

fzerorubigd commented on 2011-06-22 14:18

Some times, if you get errors about pam stuff on building this, you can edit YOUR CMakeCache.txt (The one created on your system not the one from git) and Change all -O3 to -O2 :) It should fix the problem.
-- See my other comment about CMakeCache.txt.

Spider.007 commented on 2011-06-19 13:27

@fzerorubigd I have used your suggestions and it seems to work indeed, thanks

fzerorubigd commented on 2011-06-16 16:07

I think your problem is compile on another folder, since there is an error.
That error is beacuse of CMakeCache.txt and base on cmake site :
CMake will not alter an existing entry in the cache file itself. If your CMakeLists.txt files change significantly, you will need to remove the relevant entries from the cache file. If you have not already hand-edited the cache file, you could just delete it before re-running CMake.

So there is no need to worry :) just delete. and there is a correct version of pkgbuild :
http://pastebin.com/0RmSY5e0
I'm not familiar with hiphop, I wonder is there a need source file? its better to strip source file from package.

Spider.007 commented on 2011-06-16 07:29

@fzerorubigd, if you get that working, please let me know how

fzerorubigd commented on 2011-06-15 13:12

This is not correct to check out data right into opt folder.
Please correct your package to build on $srcdir and $pkgdir not in opt dir.

Spider.007 commented on 2011-03-24 11:34

the package builds again

Spider.007 commented on 2011-02-13 15:49

Even with the patch, I can't get it to build. I have uploaded a new version though, for other people to try and make this work (again)

dcai commented on 2011-02-07 09:26

According gpisc's (https://github.com/gpisc) comment, following patch could fix the build problem:

--- CMake/HPHPFindLibs.cmake 2010-12-20 03:18:27.000000000 -0700
+++ CMake/HPHPFindLibs.cmake.pam 2010-12-20 12:29:20.000000000 -0700
@@ -208,6 +208,8 @@
find_package(Libpam REQUIRED)
include_directories(${PAM_INCLUDE_PATH})
else()
+ find_package(Libpam REQUIRED)
+ include_directories(${PAM_INCLUDE_PATH})
add_definitions(-DSKIP_IMAP_GSS=1)
endif()

@@ -329,8 +331,8 @@
target_link_libraries(${target} ${NCURSES_LIBRARY})
target_link_libraries(${target} ${CCLIENT_LIBRARY})

- if (CCLIENT_NEEDS_PAM)
+# if (CCLIENT_NEEDS_PAM)
target_link_libraries(${target} ${PAM_LIBRARY})
- endif()
+# endif()

endmacro()

Anonymous comment on 2010-12-15 21:48

This does not build currently: https://github.com/facebook/hiphop-php/issues/issue/257/